import AutoTable from './comps/autoTable.vue'
import EllipsedText from './comps/ellipsedText.vue'
import UploadOss from './comps/uploadOss.vue'
import AutoButton from './comps/autoButton.vue'
import UEditor from './comps/ueditor.vue'
import Ztree from './comps/ztree.vue'
import AutoSelect from './comps/autoSelect.vue'
import DatePanel from "./comps/datePanel"
import QuillEditor from './comps/quillEditor'

export default function register(Vue) {
  Vue.component('AutoTable', AutoTable)
  Vue.component('EllipsedText', EllipsedText)
  Vue.component('UploadOss', UploadOss)
  Vue.component('AutoButton', AutoButton)
  Vue.component('UEditor', UEditor)
  Vue.component('Ztree', Ztree)
  Vue.component('AutoSelect', AutoSelect)
  Vue.component('DatePanel', DatePanel)
  Vue.component('QuillEditor', QuillEditor)
}

import './comps/shorthand.css'
